Bug 132370 - "Connect to server" to windows share hangs forever
"Connect to server" to windows share hangs forever
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
Blocks: 131589
  Show dependency treegraph
Reported: 2004-09-11 16:49 EDT by Havoc Pennington
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-14 11:48:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2004-09-11 16:49:37 EDT
If I do
"smbmount '//HAVOC/Music Drive' '/mnt/music'"
it prompts for a password, I just press enter, then I can use the share.
The share is browseable from another Windows system.

If I open Network in nautilus, or manually enter Server=HAVOC,
Share=Music Drive, then it hangs forever with the hourglass cursor.
There's no indication of what it's doing.

smbtree seems to SIGABRT on startup.

[hp@localhost ~]$ rpm -q nautilus
[hp@localhost ~]$ rpm -q samba-client
[hp@localhost ~]$ rpm -q gnome-vfs2
Comment 1 Alexander Larsson 2004-09-13 09:01:26 EDT
Connect to share opens the share when you're done, so its likely that
the problem is just the same you get when you open network.

What server is HAVOC? samba, windows? what version?

Does nautilus keep on going, appart from that window?
Comment 2 Havoc Pennington 2004-09-13 17:05:23 EDT
Server is Windows XP. Nautilus does keep going, it just has the busy
cursor in that window.
Comment 3 Alexander Larsson 2004-09-14 02:58:49 EDT
Can you get full backtraces (with debuginfo) for all threads of
Comment 4 Havoc Pennington 2004-09-14 11:45:55 EDT
I'll try, sure.
Comment 5 Havoc Pennington 2004-09-18 15:16:31 EDT
As best I can tell, gnome-vfs-daemon and nautilus backtraces are both
just sitting in the main loop. The trace is just poll(),
bonobo_main(), etc. Nothing of interest.
Comment 6 Havoc Pennington 2004-09-18 15:21:20 EDT
Aha, I got "connect to server" to work; "service iptables stop" was
necessary. Is that something we could fix in the default firewall?

"Network" still seems to hang forever though.
Comment 7 Alexander Larsson 2004-09-21 10:12:00 EDT
Are we still fucking up smb with the default firewall? We should
probably fix that then.
Comment 8 Colin Walters 2004-09-24 14:20:43 EDT
This is basically a duplicate of #133478, no?
Comment 9 Alexander Larsson 2004-09-27 04:28:23 EDT
Not really. hp claims "Network" still doesn't work with firewall disabled.
Comment 10 Alexander Larsson 2004-10-01 11:29:47 EDT
It might be a duplicate though. Can you try disabling the firewall and
log in/out?
Comment 11 Alexander Larsson 2004-10-14 11:48:13 EDT
Wontfixing this. The important bug is the smb vs firewall one.

Note You need to log in before you can comment on or make changes to this bug.